Bug 152159 - mkraid is missing from anaconda installer - manual disk partitioning impossible
mkraid is missing from anaconda installer - manual disk partitioning impossible
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2005-03-25 09:34 EST by Graham Leggett
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-03-28 14:02:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Graham Leggett 2005-03-25 09:34:24 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5) Gecko/20050130 Fedora/1.7.5-3

Description of problem:
Due to most alternate use cases of the disk druid in anaconda leading to fatal errors, and due to a bug where the anaconda installer cannot detect RAID1 partitions if both halves of the RAID1 mirror is not present, it is sometimes necessary to attempt to set up partitions manually using the shell.

Unfortunately the "mkraid" command is missing from the anaconda subsystem, preventing the user from working around limitations in the disk druid.

In addition the "raidstart" command is brain dead, as it bombs out with a fatal error if one half of a RAID1 mirror is not available! The only workaround is to "mkraid" the RAID1 partitions, which brings the partitions back to life. This is only possible though if the mkraid partition can be mounted from external storage like another harddrive or a USB device.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:

Additional info:
Comment 1 Jeremy Katz 2005-03-28 14:02:06 EST
mkraid is from the (obsolete) raidtools.  It has been replaced by mdadm.

Note You need to log in before you can comment on or make changes to this bug.